> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create An Account

> When creating an Account, you must specify the Account Type properties. The Account Type properties are different, depending on the type of Account you are trying to create.

To retrieve which Account Type properties to specify, use the GET /v1/accounts/account-types/{ACCOUNT_TYPE_ID} endpoint.



## OpenAPI

````yaml /openapi/platform/accounts.yaml  POST /v1/accounts 
openapi: 3.1.0
info:
  title: Account API
  version: '1.0'
  description: "## The Account Object\nThe Account API allows you to create, update, validate and share accounts in Domo. If you would like to manage a large number of accounts at scale from agencies or other 3rd party vendors that you currently manage individually through the Data Center in Domo, the Accounts API makes that possible.\n\n<Note>\n<!-- theme: info -->\n> ### Note\n>\n>The Accounts API will only return information for accounts you own or for accounts that have been shared with you in Domo.\n\n## Account Attributes\n| Property Name | Type | Description |\n| --- | --- | --- |\n| id | String |\tThe ID of the Account |\n| name | String\t| The name of the Account |\n| type | Object\t| The type of the Account |\n| valid\t| Boolean | Indicates if the Account needs to be re-authorized or not |\n\n## Account's Type Attributes\n| Property Name | Type | Description |\n| --- | --- | --- |\n| id | String | The ID of the Account Type |\n| name | String | The name of the Account Type |\n| templates | Object | The Template that defines the properties required to create an Account of this type |\n\n## Account Type's Template Attributes\n| Property Name | Type | Description |\n| --- | --- | --- |\n| title\t| String | The title of the Template |\n| contentType | String | The content-type header when sending the request to create an Account |\n| method | String | The HTTP method used when creating the Account |\n| properties | Array | The properties available to be sent when creating an Account |\n| name | String\t| The name of the Account Type |\n| templates | Object |The Template that defines the properties required to create an Account of this type |\n\n## Account Share Attributes\n| Property Name | Type | Description |\n| --- | --- | --- |\n| user\t| Object | The User to share the Account with. Only the User's id attribute is required. See the Users API for more information |\n\n"
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/accounts:
    parameters: []
    post:
      summary: Create an Account
      description: >-
        When creating an Account, you must specify the Account Type properties.
        The Account Type properties are different, depending on the type of
        Account you are trying to create.


        To retrieve which Account Type properties to specify, use the GET
        /v1/accounts/account-types/{ACCOUNT_TYPE_ID} endpoint.
      operationId: post-v1-accounts
      parameters:
        - schema:
            type: string
          in: query
          name: name
          description: The name of the Account
        - schema:
            type: array
          in: query
          name: type
          description: The Account Type object indicating the type of Account
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                type:
                  type: object
                  properties:
                    id:
                      type: string
                    properties:
                      type: object
                      properties:
                        password:
                          type: string
                        authenticateBy:
                          type: string
                        url:
                          type: string
                        username:
                          type: string
              x-examples:
                Example 1:
                  name: Leonhard Euler's XYZ Account
                  type:
                    id: xyz
                    properties:
                      password: cyclops
                      authenticateBy: PASSWORD
                      url: https://mathematicians.xyz.com
                      username: leonhard.euler@mathematicians.com
      responses:
        '200':
          description: >-
            Returns an Account object when successful. The returned object will
            not contain any properties within the Account Type object .
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  valid:
                    type: boolean
                  type:
                    type: object
                    properties:
                      id:
                        type: string
                      properties:
                        type: object
                        properties: {}
                x-examples:
                  Example 1:
                    id: '88'
                    name: Leonhard Euler's Account
                    valid: true
                    type:
                      id: xyz
                      properties: {}
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````